package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.common.model.InspectionTask;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 检验任务表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-05
 */
public interface InspectionTaskService extends IService<InspectionTask> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<InspectionTask> selectPage(FrontPage<InspectionTask> frontPage, InspectionTask inspectionTask);

    List<InspectionTask> selectList(InspectionTask inspectionTask);

    InspectionTask getInspectionTaskByTaskNo(String site, String taskNo);

    void saveTask(Map<String, Object> paramMap);

    Map<String, Object> createTask(Map<String, Object> paramMap);

    InspectionTask isCreateTask(String site, String category, String sfc, String operation, String stepId);

    void createNewTask(Map<String, Object> paramMap);
}